import { AnnotationLayer } from "./AnnotationLayer";
import { Series } from "./Series";
import { FinalValueSelectionMode } from "./FinalValueSelectionMode";
import { Brush } from "igniteui-react-core/ES2015/Brush";
import { Thickness } from "igniteui-react-core/ES2015/Thickness";
import { FinalValueLayerFrame } from "./FinalValueLayerFrame";
import { Type } from "igniteui-react-core/ES2015/type";
import { SeriesView } from "./SeriesView";
import { Frame } from "./Frame";
import { AnnotationLayerView } from "./AnnotationLayerView";
export declare class FinalValueLayer extends AnnotationLayer {
    static $t: Type;
    constructor();
    protected bf(): SeriesView;
    il(a: SeriesView): void;
    protected mu: FinalValueLayerView;
    mw: Series;
    mv: FinalValueSelectionMode;
    nw: Brush;
    nu: Brush;
    m5: number;
    nv: Brush;
    readonly ny: Thickness;
    m1: number;
    m3: number;
    m2: number;
    m0: number;
    axisAnnotationFormatLabel: (item: any) => string;
    mx(): boolean;
    m4: number;
    protected ma(a: Series, b: boolean): void;
    protected mc(a: Frame, b: SeriesView): void;
    protected lx(a: Series): boolean;
    ie(): void;
    private nx;
    private nh;
    private mz;
    private my;
    protected ni(a: FinalValueLayerFrame, b: boolean): void;
    protected mf(a: Frame, b: SeriesView): void;
    protected c6(): boolean;
    protected ir(a: any, b: string, c: any, d: any): void;
    static $$p: string[];
}
export declare class FinalValueLayerView extends AnnotationLayerView {
    static $t: Type;
    constructor(a: FinalValueLayer);
    protected b1: FinalValueLayer;
    ap(): void;
    b2(a: Brush): Brush;
    ai(a: any): void;
}
